Name:           librdkafka
Version:        2.1.1
Release:        1
Summary:        C library implementation of the Apache Kafka protocol
License:        BSD-2-Clause and Zlib and MIT and BSD-3-Clause
URL:            https://github.com/edenhill/librdkafka
Source0:        https://github.com/edenhill/librdkafka/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  gcc-c++ python3 openssl-devel cyrus-sasl-devel lz4-devel
BuildRequires:  make libzstd-devel zlib-devel rapidjson-devel

%description
ibrdkafka is a C library implementation of the Apache Kafka protocol, providing Producer, Consumer
and Admin clients. It was designed with message delivery reliability and high performance in mind,
current figures exceed 1 million msgs/second for the producer and 3 million msgs/second for the consumer.

%package        devel
Summary:        Development files for the Kafka C/C++ library
Requires:       %{name} = %{version}-%{release}

%description    devel
librdkafka is a C library implementation of the Apache Kafka protocol,containing both Producer and
Consumer support.

%prep
%autosetup -n %{name}-%{version} -p1

%build
	
%define _lto_cflags -flto=auto -ffat-lto-objects

%configure --enable-lz4 --enable-ssl --enable-sasl \
           --enable-zlib --enable-zstd --enable-lz4-ext --enable-gssapi          

%make_build

%check
make check

%install
%make_install
find %{buildroot} -name '*.a' -delete -print
find %{buildroot} -name '*-static.pc' -delete -print

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc README.md CONFIGURATION.md CHANGELOG.md INTRODUCTION.md LICENSE LICENSES.txt STATISTICS.md
%license LICENSE LICENSE.snappy LICENSE.pycrc
%{_libdir}/{librdkafka.so.*,librdkafka++.so.*}

%files devel
%dir %{_includedir}/librdkafka
%attr(0644,root,root) %{_includedir}/librdkafka/*
%attr(0755,root,root) %{_libdir}/{librdkafka.so,librdkafka++.so}
%{_libdir}/pkgconfig/*


%changelog
* Tue Jun 20 2023 liyanan <thistleslyn@163.com> - 2.1.1-1
- Update to 2.1.1

* Tue Nov 1 2022 huyab<1229981468@qq.com> - 1.9.2-1
- update version to 1.9.2-1

* Wed May 11 2022 wulei <wulei80@h-partners.com> - 0.11.4-5
- License compliance rectification

* Mon Oct 26 2020 leiju <leiju4@huawei.com> - 0.11.4-4
- Modify BuildRequires from python2 to python3

* Fri Dec 20 2019 daiqianwen <daiqianwen@huawei.com> - 0.11.4-3
- Package init
